<?php
if( !defined( 'ABSPATH' ) ) { exit; }

if ( !function_exists( 'evpb_fs' ) ) {
	function evpb_fs() {
		global $evpb_fs;

		if ( !isset( $evpb_fs ) ) {
			require_once EVPB_DIR_PATH . 'vendor/fs-lite/fs-lite.php';

			$evpb_fs = fs_lite_dynamic_init( [
				'id'					=> '16387',
				'slug'					=> 'envision-page-builder',
				'version'				=> '0.22',
				'premium_slug'			=> 'envision-page-builder-pro',
				'type'					=> 'plugin',
				'public_key'			=> 'pk_bf12b2c994868c223caba13fd4d5a',
				'plugin_file'			=> EVPB_DIR_PATH . 'envision-page-builder.php',
				'is_premium'			=> false,
				'premium_suffix'		=> 'Pro',
				'has_premium_version'	=> true,
				'has_addons'			=> false,
				'has_paid_plans'		=> true,
				'menu'					=> [
					'slug'		=> 'envision-page-builder',
					'first-path' => 'tools.php?page=envision-page-builder',
					'parent'	=> [ 'slug'	=> 'tools.php' ]
				]
			] );
		}

		return $evpb_fs;
	}

	evpb_fs();
	do_action( 'evpb_fs_loaded' );
}
